<HTML>
<HEAD>
<!-- This HTML file has been created by texi2html 1.54
     from suif1.texi on 28 April 1999 -->

<TITLE>The SUIF Version 1 Library - Bit Vectors</TITLE>
<link href="suif1_97.html" rel=Next>
<link href="suif1_95.html" rel=Previous>
<link href="suif1_toc.html" rel=ToC>

</HEAD>
<BODY>
<p>Go to the <A HREF="suif1_1.html">first</A>, <A HREF="suif1_95.html">previous</A>, <A HREF="suif1_97.html">next</A>, <A HREF="suif1_113.html">last</A> section, <A HREF="suif1_toc.html">table of contents</A>.
<P><HR><P>


<H2><A NAME="SEC96" HREF="suif1_toc.html#TOC96">Bit Vectors</A></H2>
<P>
<A NAME="IDX678"></A>
<A NAME="IDX679"></A>

</P>
<P>
<A NAME="IDX680"></A>
Bit vectors are frequently used in compilers to represent sets of
integers, particularly for data flow analysis.  The SUIF library
includes a <CODE>bit_set</CODE> class with an extensive collection of methods.
This class is implemented in the <TT>`bitset.h'</TT> and <TT>`bitset.cc'</TT>
files.  When you create a new <CODE>bit_set</CODE>, you must specify the range
of integers which it may contain.

</P>
<P>
<A NAME="IDX681"></A>
<A NAME="IDX682"></A>
The <CODE>bit_set_iter</CODE> class provides an easy and efficient way to
iterate through the entries in a <CODE>bit_set</CODE>.  This iterator is
slightly different than the SUIF list iterators.  You must call the
<CODE>is_empty</CODE> method once before each call to the <CODE>step</CODE> method.
Other than that, it is straightforward.

</P>

<P><HR><P>
<p>Go to the <A HREF="suif1_1.html">first</A>, <A HREF="suif1_95.html">previous</A>, <A HREF="suif1_97.html">next</A>, <A HREF="suif1_113.html">last</A> section, <A HREF="suif1_toc.html">table of contents</A>.
</BODY>
</HTML>
